﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ActiveXTestVCS
{
    public partial class frmSetVR : Form
    {
        protected int m_nVR;
        protected double m_dValue;

        public frmSetVR()
        {
            InitializeComponent();

            m_nVR = -1;
            m_dValue = 0.0;
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            Close();
        }

        private void btnSet_Click(object sender, EventArgs e)
        {
            m_nVR = Convert.ToInt32(tbVR.Text);
            m_dValue = Convert.ToDouble(tbValue.Text);

            DialogResult = DialogResult.OK;
            Close();
        }

        public int VR
        {
            get
            {
                return m_nVR;
            }
        }

        public double Value
        {
            get
            {
                return m_dValue;
            }
        }
    }
}
